import { Controller, Get, Query } from '@nestjs/common';
import { CarreraService } from './carrera.service';
import { CarritoGetDto } from './dto/carrera-get-dto';

@Controller('carrera')
export class CarreraController {
  constructor(private carreraService: CarreraService) {}

  @Get()
  get() {
    // recibir id_institucion y traer todoas las carreras de esa institiucion
    return this.carreraService.findAll();
  }

  @Get('carreras')
  carreras(@Query() query: CarritoGetDto) {
    return this.carreraService.findById(Number(query.id_carrera));
  }
}
