import { IsNumberString, IsOptional } from 'class-validator';

export class UsuarioUsuariosDto {
  @IsNumberString()
  pagina: string;

  @IsNumberString()
  @IsOptional()
  id_carrera: string;

  @IsNumberString()
  @IsOptional()
  id_institucion: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_usuario: string;

  @IsNumberString()
  @IsOptional()
  usuario: string;
}
