import { IsBoolean, IsNumber, IsOptional, IsString } from 'class-validator';

export class CarritoUpdateDto {
  // Cambiar por IsInt
  @IsNumber()
  id_carrito: number;

  // Solo dejar cambiar el modulo y activo, es decir quita carrito y agrega id_modulo
  @IsNumber()
  @IsOptional()
  carrito?: string;

  @IsBoolean()
  @IsOptional()
  activo?: boolean;
}
