import { Entity, Column, PrimaryGeneratedColumn, OneToMany } from 'typeorm';
import { InstitucionDia } from './institucion-dia.entity';

@Entity()
export class Dia {
  @PrimaryGeneratedColumn()
  id_dia: number;

  @Column({ type: String, nullable: false, length: 9 })
  dia: string;

  @OneToMany(() => InstitucionDia, (institucionDia) => institucionDia.dia)
  institucionesDias: InstitucionDia[];
}
